package com.sample;

import mockit.Mocked;
import mockit.NonStrictExpectations;

import org.junit.Assert;
import org.junit.Test;

public class Main2Test {
	@Mocked
	private Main main;

	@Test
	public void testDoExecute001() {
		new NonStrictExpectations() {
			{
				main.doExecute();
				result = 1;
			}
		};

		int result = main.doExecute();

		Assert.assertEquals(1, result);
	}
}
